import type { ModuleOptions, ASTElement } from 'vue-template-compiler';
import { PluginOptions } from '../types';
export interface ASTAttribute {
    name: string;
    value: string;
    dynamic?: boolean;
}
export declare const IGNORE_PROPS: Set<string>;
export declare class TransformModule implements ModuleOptions {
    private matcher;
    constructor(options: PluginOptions);
    genData(): string;
    transformNode(el: any): any;
    preTransformNode: ModuleOptions['preTransformNode'];
    /**
     * transform an AST node after built-ins like v-if, v-for are processed
     */
    postTransformNode: ModuleOptions['postTransformNode'];
    /**
     * 支持 .bind 语法
     */
    _transformDotBinging: (el: ASTElement) => ASTElement;
    /**
     * 支持 v-model 语法 preTransformNode
     */
    _transformVModel(el: ASTElement): ASTElement;
    /**
     * 强制使用 domProps 传入
     * TODO: 通过干预 mustUseProp 实现
     * @param el
     * @returns
     */
    _transformDomProps(el: ASTElement): void;
    /**
     * 默认忽略的属性
     * @param {string} attr
     */
    _defaultAttributeIgnore(attr: string): boolean;
    _hasAttribute(attrs: ASTAttribute[] | undefined): boolean;
}
//# sourceMappingURL=index.d.ts.map